summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-08-01 00:35:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-01 00:35:17 +0700
commit93fe73839d52478397e8801d8c3bd0cb5b09224b (patch)
tree2f57b0bc8928bd14c8f3dc7045aaa027c4ebb804 /desktop
parent96ee436d2761a64f883a97be11f7979dba688271 (diff)
downloadslackbuilds-93fe73839d52478397e8801d8c3bd0cb5b09224b.tar.gz
slackbuilds-93fe73839d52478397e8801d8c3bd0cb5b09224b.tar.xz
desktop/bashish: Added (theme enviroment for text terminals).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/bashish/README28
-rw-r--r--desktop/bashish/bashish.SlackBuild101
-rw-r--r--desktop/bashish/bashish.info10
-rw-r--r--desktop/bashish/slack-desc19
4 files changed, 158 insertions, 0 deletions
diff --git a/desktop/bashish/README b/desktop/bashish/README
new file mode 100644
index 0000000000..4465d70d64
--- /dev/null
+++ b/desktop/bashish/README
@@ -0,0 +1,28 @@
+bashish (theme enviroment for text terminals).
+
+Bashish is a theme enviroment for text terminals. It can change colors, font,
+transparency and background image on a per-application basis. Additionally
+Bashish supports prompt changing on common shells such as bash, zsh and tcsh.
+
+Bashish runs on most terminal emulators available.
+
+Bashish is great for people who:
+
+* Want a good looking prompt.
+* Want to configure the apperance of the terminal.
+* Want informative titles based on the command arguments.
+* Need different fonts for different applications - eg. Chinese, Japanese,
+OEM Terminal fonts.
+* While many of these features would be simple to implement as aliases or shell
+scripts, the tricky part where Bashish excels is that it does not affect the
+enviroment noticeably.
+
+As an example, Bashish provides themes even if the themed application is run
+in a pipe, this without affecting the pipe at all.
+
+Additionally there is no need to rewrite your aliases or functions since Bashish
+provides theming through shell script wrappers.
+
+To enable Bashish, simply run " bashish ", press ENTER key and hit Ctrl+C to quit.
+
+To choose another theme, see the theme list with: " bashish list " and to enable new theme simply run " bashish theme_name ".
diff --git a/desktop/bashish/bashish.SlackBuild b/desktop/bashish/bashish.SlackBuild
new file mode 100644
index 0000000000..0fc6c2b771
--- /dev/null
+++ b/desktop/bashish/bashish.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# Slackware build script for bashish.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bashish
+VERSION=${VERSION:-2.2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
+
+DOCS="BUGS ChangeLog COPYING CREDITS HACKING INSTALL PROMPT_TIPS README THEME TODO UNINSTALL"
+
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/bashish/bashish.info b/desktop/bashish/bashish.info
new file mode 100644
index 0000000000..ce7d56c949
--- /dev/null
+++ b/desktop/bashish/bashish.info
@@ -0,0 +1,10 @@
+PRGNAM="bashish"
+VERSION="2.2.4"
+HOMEPAGE="http://bashish.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/bashish/bashish/2.2.4/bashish-2.2.4.tar.gz"
+MD5SUM="0661cc0040878e921ac7a31b071d20e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/bashish/slack-desc b/desktop/bashish/slack-desc
new file mode 100644
index 0000000000..0121a6e7cc
--- /dev/null
+++ b/desktop/bashish/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bashish: bashish (theme enviroment for text terminals)
+bashish:
+bashish: Bashish is a theme enviroment for text terminals. It can change
+bashish: colors, font, transparency and background image on a per-application
+bashish: basis. Additionally Bashish supports prompt changing on common shells
+bashish: such as bash, zsh and tcsh.
+bashish:
+bashish: Home Page: http://bashish.sourceforge.net/
+bashish:
+bashish:
+bashish: